### Function

# Gimp context_list_paint_methods

#### Declaration [src]

    gboolean
    gimp_context_list_paint_methods (
      gchar*** paint_methods
    )

#### Description [src]

Lists the available paint methods.

This procedure lists the names of the available paint methods. Any of the results can be used for gimp_context_set_paint_method().

Available since: | 2.4

#### Parameters

`paint_methods` | An array of `gchar**`
| The names of the available paint methods.
| The argument will be set by the function.
| The array must be `NULL`-terminated.
| The called function takes ownership of the data, and is responsible for freeing it.
| Each element is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| TRUE on success.